List field mappings for a provider + resource type
curl --request GET \
--url https://api.routemcp.io/api/v1/field-mappings \
--header 'Authorization: <api-key>'import requests
url = "https://api.routemcp.io/api/v1/field-mappings"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.routemcp.io/api/v1/field-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"statusCode": 400,
"message": "Validation Errors.",
"errors": {
"email": "email should not be empty"
},
"timestamp": "2026-02-06T12:00:00.000Z",
"path": "/api/v1/example"
}{
"success": false,
"statusCode": 429,
"message": "Too Many Requests",
"timestamp": "2026-02-06T12:00:00.000Z",
"path": "/api/v1/example"
}{
"success": false,
"statusCode": 500,
"message": "Internal server error.",
"timestamp": "2026-02-06T12:00:00.000Z",
"path": "/api/v1/example"
}Field Mappings
List field mappings for a provider + resource type
GET
/
field-mappings
List field mappings for a provider + resource type
Authorizations
Enter your API key with the Bearer prefix — e.g. Bearer sk_live_xxx (production) or Bearer sk_test_xxx (sandbox)
Query Parameters
Provider slug
Example:
"hubspot"
Resource type
Example:
"contact"
API version
Example:
"v3"
Response
Field mappings retrieved
⌘I